<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.docus.server.infrastructure.mapper.OcrFileInfoTestMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap"
               type="com.docus.server.entity.segmentation.OcrFileInfoTest">
        <id column="id" property="id"/>
        <result column="patient_id" property="patientId"/>
        <result column="file_title" property="fileTitle"/>
        <result column="pic_name" property="picName"/>
        <result column="file_type" property="fileType"/>
        <result column="sort" property="sort"/>
        <result column="serial_number" property="serialNumber"/>
        <result column="pic_url" property="picUrl"/>
        <result column="pic_compress_url" property="picCompressUrl"/>
        <result column="pic_cut_url" property="picCutUrl"/>
        <result column="angle" property="angle"/>
        <result column="ocr_text" property="ocrText"/>
        <result column="ocr_finish_time" property="ocrFinishTime"/>
        <result column="ocr_status" property="ocrStatus"/>
        <result column="assort_id" property="assortId"/>
        <result column="assort_name" property="assortName"/>
        <result column="rule_id" property="ruleId"/>
        <result column="hit_key" property="hitKey"/>
        <result column="rate" property="rate"/>
        <result column="file_size" property="fileSize"/>
        <result column="height" property="height"/>
        <result column="width" property="width"/>
        <result column="x" property="x"/>
        <result column="y" property="y"/>
        <result column="json_str" property="jsonStr"/>
        <result column="create_time" property="createTime"/>
        <result column="update_time" property="updateTime"/>
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
                id, patient_id, file_title, pic_name, file_type, sort, serial_number, pic_url,pic_compress_url, pic_cut_url, angle, ocr_text, ocr_finish_time, ocr_status, assort_id, assort_name, rule_id, hit_key, rate,file_size,height,width, x,y,json_str,create_time, update_time
            </sql>

</mapper>
